<h3 style="text-align: center;padding-bottom: 10px;">Employee-Details </h3>
<div class="border">
  <button class="btn btn-nd btn-outline-primary" (click)="Mopen(content)"><i class="fa fa-user"></i>Add details</button>
   </div>


<table class="table table-striped">
  <thead>
  <tr>
    <th scope="col">Id</th>
    <th scope="col">Name</th>
    <th scope="col">Age</th>
    <th scope="col">Designation</th>
    <th>Action</th>
  </tr>
  </thead>
  <tbody>
  <tr *ngFor="let employee of employees; index as i">
    
    <td>
     
      {{ employee.id}}
    </td>
    <td>{{employee.name}}</td>
    <td>{{employee.age}}</td>
    <td>{{employee.des}}</td>
    <td>
      <button class="btn btn-outline-dark" (click)="Mopen(content,i)">edit</button>
      <button class="btn btn-outline-dark" (click)="del(i)">delete</button>
    </td>
  </tr>
  </tbody>
</table>

<!-- modal for add details -->
<ng-template #content let-modal>
  <div class="modal-header">
    <h4 class="modal-title" id="modal-basic-title">{{title}} Employee Details</h4>
    <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <form novalidate>
      <div class="form-group">
        <label for="dateOfBirth">Employye Id</label>
        <input id="eid" class="form-control" placeholder="employee id" name="eid" [(ngModel)]="entry.id" >
        <label for="dateOfBirth">Name</label>
        <input id="ename" class="form-control" placeholder="Name" name="ename" [(ngModel)]="entry.name">
        <label for="dateOfBirth">Age</label>
        <input id="eage" class="form-control" placeholder="Age" name="eage" [(ngModel)]="entry.age">
        <label for="dateOfBirth">Destignation</label>
        <input id="edes" class="form-control" placeholder="Destignation" name="edes" [(ngModel)]="entry.des">
      </div>
     
    </form>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-outline-dark" (click)="addEmployee(modal)" *ngIf="action ;else elseBlock">Save</button>
    <ng-template #elseBlock>
      <button type="button" class="btn btn-outline-dark" (click)="editEmployee(modal)">Edit</button>
    </ng-template>
   

  </div>
</ng-template>

<hr>

